/**
 * Copyright © 2014-2025 PDF Technologies, Inc. All Rights Reserved.
 *
 * THIS SOURCE CODE AND ANY ACCOMPANYING DOCUMENTATION ARE PROTECTED BY INTERNATIONAL COPYRIGHT LAW
 * AND MAY NOT BE RESOLD OR REDISTRIBUTED. USAGE IS BOUND TO THE ComPDFKit LICENSE AGREEMENT.
 * UNAUTHORIZED REPRODUCTION OR DISTRIBUTION IS SUBJECT TO CIVIL AND CRIMINAL PENALTIES.
 * This notice may not be removed from this file.
 */

package com.compdfkitpdf.reactnative.util;


import com.compdfkit.core.document.CPDFDocument;
import com.compdfkit.core.page.CPDFPage;
import com.compdfkitpdf.reactnative.util.annotation.RCPDFAnnotFactory;
import com.facebook.react.bridge.WritableArray;

public class CPDFPageUtil {

  private CPDFDocument document;

  public CPDFPageUtil() {
  }

  public void setDocument(CPDFDocument document) {
    this.document = document;
  }

  public WritableArray getAnnotations(int pageIndex){
    if (document == null) {
      return null;
    }
    CPDFPage page = document.pageAtIndex(pageIndex);
    RCPDFAnnotFactory annotFactory = new RCPDFAnnotFactory(page);
    return annotFactory.getAnnotations();
  }

  public WritableArray getWidgets(int pageIndex){
    if (document == null) {
      return null;
    }
    CPDFPage page = document.pageAtIndex(pageIndex);
    RCPDFAnnotFactory annotFactory = new RCPDFAnnotFactory(page);
    return annotFactory.getWidgets();
  }


}
