/**
 * Copyright © 2014-2025 PDF Technologies, Inc. All Rights Reserved.
 *
 * THIS SOURCE CODE AND ANY ACCOMPANYING DOCUMENTATION ARE PROTECTED BY INTERNATIONAL COPYRIGHT LAW
 * AND MAY NOT BE RESOLD OR REDISTRIBUTED. USAGE IS BOUND TO THE ComPDFKit LICENSE AGREEMENT.
 * UNAUTHORIZED REPRODUCTION OR DISTRIBUTION IS SUBJECT TO CIVIL AND CRIMINAL PENALTIES.
 * This notice may not be removed from this file.
 */

import { CPDFWidget } from "./CPDFWidget";

/**
 * Class representing a radiobutton form widget, storing basic information about the radiobutton form.
 */
export class CPDFRadiobuttonWidget extends CPDFWidget {

    /**
     * The state of the radiobutton form widget.
     */
    isChecked: boolean;

    constructor(params: Partial<CPDFRadiobuttonWidget>) {
        super(params);
        this.isChecked = params.isChecked ?? false;
    }
}

