/**
 * Copyright © 2014-2025 PDF Technologies, Inc. All Rights Reserved.
 *
 * THIS SOURCE CODE AND ANY ACCOMPANYING DOCUMENTATION ARE PROTECTED BY INTERNATIONAL COPYRIGHT LAW
 * AND MAY NOT BE RESOLD OR REDISTRIBUTED. USAGE IS BOUND TO THE ComPDFKit LICENSE AGREEMENT.
 * UNAUTHORIZED REPRODUCTION OR DISTRIBUTION IS SUBJECT TO CIVIL AND CRIMINAL PENALTIES.
 * This notice may not be removed from this file.
 */

import { CPDFWidget } from "./CPDFWidget";

/**
 * Class representing a text field form widget, storing basic information about the text field form.
 * It includes general form attributes as well as the text content of the text field.
 *
 * @class CPDFTextWidget
 * @memberof CPDFTextWidget
 * @property {string} [text] - The text content of the text field.
 */
export class CPDFTextWidget extends CPDFWidget {

    /**
     * The text content of the text field.
     */
    text: string;

    constructor(params: Partial<CPDFTextWidget>) {
        super(params);
        this.text = params.text ?? '';
    }



}
